Subject: Re: git bug/feature request

From: gapon <[email-masked]>
Date: Tue, 27 Nov 2007 14:45:47 +0100

Dne úterý 27 listopadu 2007 Alex Riesen napsal(a):
> On 27/11/2007, gapon <[email-masked]> wrote:
> > as i wrote in my first email - i know that this is not "correct" scenario
> > (i don't and won't use it anywhere) - but the git's behaviour is in such
> > case confusing, at least for me
> > just for clarification - my email wasn't about how to push or create
> > shared repository - it was just about what i have discovered while
> > playing with different scms
>
> Well... It is known problem, for one. That user B of yours, did he just
> cloned user A's repo?

yes, i can paste here all the scenario step by step if you want
>
> What I suspect is a change in how git-clone setups the cloned repo
> could have taken care of it. We could either setup push-configuration
> so that it just does not work (and let user change to his preference),
> or somehow figure out where the pushed references can safely land
> and put that in the cloned repo configuration (that is "SOMEHOW",
> I afraid. Absolutely no idea what could that be).

hard to say what to do, what is correct - now i would say that i like hg 
behaviour the most - but i can be wrong of course; the only purpose of this 
discussion is that i have found out (by accident ;) "weird" behaviour of git 
in such situation - and because git is definitely my most favorite scm i 
wanted to report bug/feature/whatever

thanks for all your comments guys